Bug 117389 - Server startup does not validate that DB schema version is in sync with JARs
Server startup does not validate that DB schema version is in sync with JARs
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2004-03-03 10:29 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-02 13:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-03-03 10:29:34 EST
Description of problem:
When starting a CCM server no checks are made to ensure that the
database schema version is consistent with the version of the JARs
containing the application code. If the two get out of sync the result
will at best be a sysstem which throws errors in various places, at
worst the objects / metadata stored in the database will become corrupt.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install & load ccm-portal version 1.0
2. Install portal 1.2, but don't run upgrade scripts

Actual results:
The server starts up normally, but errors are thrown when trying to
view the portal applications

Expected results:
The server startup throws a SevletUnavailbleException with a message
indicating that the DB needs upgrading.

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:34:53 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.